POST /datasets/initiate_collection
POST body
string
required
The unique identifier for the collection request you are inquiring about.
string
required
The time in milliseconds indicating the desired data freshness.
Body Example
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -k "https://api.brightdata.com/datasets/request_collection?dataset_id=gd_l1vikfnt1wgvvqz95w&type=url_collection" -H "Authorization: Bearer API_KEY" -H "Content-Type: application/json" -d '[{"id":"user-id"}]'
{
"request_id": "j_lsu5sdup1ggkc5umby"
}
Use the Bright Data Marketplace API to initiating a collection (New Dataset). Spans 250+ domains in the Bright Data marketplace.
POST /datasets/initiate_collection
POST body{
"request_id": "j_lsu5sdup1ggkc5umby",
"freshness_ms": 2592000000
}
curl -k "https://api.brightdata.com/datasets/request_collection?dataset_id=gd_l1vikfnt1wgvvqz95w&type=url_collection" -H "Authorization: Bearer API_KEY" -H "Content-Type: application/json" -d '[{"id":"user-id"}]'
{
"request_id": "j_lsu5sdup1ggkc5umby"
}
Was this page helpful?